Subject: bug#36319: Static parted distributed via gnu.org does not work

From: Alex King <[email-masked]>
Date: Fri, 21 Jun 2019 11:34:27 +1200

I wanted a later parted than comes with the machine I am working on.  So I 
downloaded it, but it seems it has a bug related to temp file usage, or 
perhaps some kind of synchronization error?:

# lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 7.11 (wheezy)
Release:	7.11
Codename:	wheezy
# uname -a
Linux dal8 3.2.0-4-amd64 #1 SMP Debian 3.2.84-1 x86_64 GNU/Linux
# wget https://ftp.gnu.org/gnu/parted/static/parted-1.8.1-static
# md5sum parted-1.8.1-static
def7525b360666c654c7d1bb4d89d2a7  parted-1.8.1-static
# chmod +x parted-1.8.1-static
# ./parted-1.8.1-static
parted-1.8.1-static: can't open file '/tmp/upxA0DIZXFAYFN (deleted)'

I tried this on another machine:

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 10 (buster)
Release:	10
Codename:	buster
$ uname -a
Linux high 4.18.0-2-amd64 #1 SMP Debian 4.18.10-2 (2018-10-07) x86_64 GNU/Linux
$ wget http://wlglam.fsmg.org.nz/pub/gnu/parted/static/parted-1.8.1-static
$ md5sum parted-1.8.1-static
def7525b360666c654c7d1bb4d89d2a7  parted-1.8.1-static
$ chmod +x parted-1.8.1-static
$ sudo ./parted-1.8.1-static
parted-1.8.1-static: can't open file '/tmp/upxCOKJJYTAFQ1 (deleted)'

Thanks,
Alex King
RimuHosting Support